Name:           ocaml-sqlite3
Version:        2.0.4
Release:        %mkrel 4
Summary:        OCaml library for accessing SQLite3 databases
Group:          Development/OCaml
License:        MIT
URL:            https://bitbucket.org/mmottl/sqlite3-ocaml
Source0:        https://bitbucket.org/mmottl/sqlite3-ocaml/downloads/sqlite3-ocaml-%{version}.tar.gz

BuildRequires:  ocaml-compiler >= 3.11.0
BuildRequires:  ocaml-findlib
BuildRequires:  camlp4
BuildRequires:  libsqlite3-devel
BuildRequires:  chrpath
Requires:  sqlite3-devel
%rename ocaml-sqlite


%description
SQLite 3 database library wrapper for OCaml.

%package        devel
Summary:        Development files for %{name}
Group:          Development/OCaml
Requires:       %{name} = %{version}-%{release}
%rename ocaml-sqlite-devel

%description    devel
The %{name}-devel package contains libraries and signature files for
developing applications that use %{name}.

%prep
%setup -q -n sqlite3-ocaml-%{version}

%build
./configure \
      --enable-tests \
      --prefix %{_prefix} \
      --destdir '%{buildroot}' \
      --docdir %{_docdir}/%{name}-devel/

make all

%install
rm -rf %{buildroot}
export DESTDIR=%{buildroot}
export OCAMLFIND_DESTDIR=%{buildroot}/%{_libdir}/ocaml
mkdir -p $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
make install

strip $OCAMLFIND_DESTDIR/stublibs/dll*.so
chrpath --delete $OCAMLFIND_DESTDIR/stublibs/dll*.so

%files
%doc README.md COPYING.txt AUTHORS.txt CHANGES.txt TODO.md
%dir %{_libdir}/ocaml/sqlite3
%{_libdir}/ocaml/sqlite3/META
%{_libdir}/ocaml/sqlite3/*.cma
%{_libdir}/ocaml/sqlite3/*.cmi
%{_libdir}/ocaml/sqlite3/*.cmxs
%{_libdir}/ocaml/stublibs/*.so
%{_libdir}/ocaml/stublibs/*.so.owner

%files devel
%doc test/
%{_docdir}/%{name}-devel
%{_libdir}/ocaml/sqlite3/*.a
%{_libdir}/ocaml/sqlite3/*.cmxa
%{_libdir}/ocaml/sqlite3/*.cmx
%{_libdir}/ocaml/sqlite3/*.mli


%changelog
* Sat Oct 19 2013 umeabot <umeabot> 2.0.4-4.mga4
+ Revision: 536411
- Mageia 4 Mass Rebuild

* Mon Sep 23 2013 blue_prawn <blue_prawn> 2.0.4-3.mga4
+ Revision: 484213
- rebuild for ocaml-4.01.0

* Sun Jan 13 2013 umeabot <umeabot> 2.0.4-2.mga3
+ Revision: 361636
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Dec 12 2012 malo <malo> 2.0.4-1.mga3
+ Revision: 329910
- new version 2.0.4

* Mon Oct 01 2012 blue_prawn <blue_prawn> 2.0.2-3.mga3
+ Revision: 301683
- new rpm group for ocaml

* Wed Aug 22 2012 blue_prawn <blue_prawn> 2.0.2-2.mga3
+ Revision: 283159
- updated the home-page URL
- provide the README files
- provide the tests
- put the api doc in the -devel docdir

* Sun Aug 05 2012 malo <malo> 2.0.2-1.mga3
+ Revision: 278524
- new version 2.0.2

* Sat Jul 07 2012 malo <malo> 1.6.3-1.mga3
+ Revision: 268705
- update to 1.6.3

* Sat Feb 18 2012 malo <malo> 1.6.1-4.mga2
+ Revision: 210487
+ rebuild (emptylog)

* Sat Feb 18 2012 malo <malo> 1.6.1-3.mga2
+ Revision: 210428
- fixing typo in obsoletes/provides

* Fri Feb 17 2012 malo <malo> 1.6.1-2.mga2
+ Revision: 210078
- replaces ocaml-sqlite
- missing requires

* Thu Jan 12 2012 blue_prawn <blue_prawn> 1.6.1-1.mga2
+ Revision: 195072
- This package comes from Mandriva where it was maintained by Florent Monnier and where the initial RPM release was made from the fedora rpm .spec file (revision 1.9) by Richard W.M. Jones

